LTFS-SDE(8)

NAME
ltfs - File system based on a linear tape drive

SYNOPSIS

ltfs mount_point [ -o mount_option... ] [ -V ] [ -h ] [ -a ]

DESCRIPTION

ltfs is a file system for linear tape drive.

GENERAL OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-V, --version
    Version information

-h, --help
    Show help information

-a  Full help, including advanced options

LTFS OPTIONS (MOUNT OPTIONS)

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-o devname=name
    Tape device name. On Linux, name is like '/dev/IBMtape0', on OSX, name is like '0'(default: )

-o work_directory=dir
    LTFS work directory (default: )

-o trace
    Enable diagnostic output (same as verbose=3)

-o eject
    Eject the cartridge after unmount

-o sync_type=type
    Specify sync type (default: time@5). type should be specified as follows:

    time@min
        LTFS attempts to write an index each 'min' minutes. min should be a decimal number from 1 to 153722867280912930. It is equivalent to "-o sync_type=unmount" when 0 is specified

    close
        LTFS attempts to write an index when a file is closed

    unmount
        LTFS attempts to write an index when the medium is unmounted

-o force_mount_no_eod
    Skip EOD existence check when mounting (read-only mount). Only use for a CM corrupted medium

-o device_list
    Show available tape devices

-o rollback_mount=gen
    Attempt to mount on previous index generation (read-only mount)

-o release_device
    Clear device reservation (should be specified with -o devname

-o symlink_type=type
    Specify symbolic link type (default: posix) type should be specified with one of the following values:

    posix
        LTFS behavior is same as standard symbolic link

    live
        LTFS replaces mount point path by current mount point

FUSE OPTIONS (MOUNT OPTIONS)

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

o umask=M
    Set file permissions (octal)

-o uid=N
    Set file owner

-o gid=N
    Set file group

ADVANCED LTFS OPTIONS (EXPERIMENTAL MOUNT OPTIONS)

The options described here is experimental functions.

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-o config_file=file
    Configuration file (default: )

-o atime
    Update index if only access times have changed

-o noatime
    Do not update index if only access times have changed (default)

-o tape_backend=name
    tape backend to use (default: )

-o iosched_backend=name
    I/O scheduler implementation to use (default: , use "none" to disable)

-o kmi_backend=name
    Key manager interface implementation to use (default: none, use "none" to disable)

-o umask=mode
    Override default permission mask (3 octal digits, default: 000)

-o fmask=mode
    Override file permission mask (3 octal digits, default: 000)

-o dmask=mode
    Override directory permission mask (3 octal digits, default: 000)

-o min_pool_size=num
    Minimum write cache pool size. Cache objects are 1 MB each (default: 25)

-o max_pool_size=num
    Maximum write cache pool size. Cache objects are 1 MB each (default: 50)

-o rules=rules
    Rules for choosing files to write to the index partition. The syntax of the rule argument is: size=1M size=1M/name=pattern size=1M/name=pattern1:pattern2:pattern3 A file is written to the index partition if it is no larger than the given size AND matches at least one of the name patterns (if specified). The size argument accepts K, M, and G suffixes. Name patterns might contain the special characters '?' (match any single character) and '*' (match zero or more characters).

-o quiet
    Disable informational messages (same as verbose=1)

-o syslogtrace
    Enable diagnostic output to stderr and syslog(same as verbose=303)

-o fulltrace
    Enable full call tracing (same as verbose=4)

-o verbose=num
    Override output verbosity directly (default: 2)

-o noeject
    Do not eject the cartridge after unmount (default)

-o capture_index
    Capture latest index to work directory at unmount

-o scsi_append_only_mode=on|off
    Set the tape device append-only mode (default=on)

SEE ALSO

mkltfs(8), ltfsck(8), mount.fuse(8), fusermount(1), tape-backend(4), kmi-backend(4), ltfs.conf(5).